# Generated by go2rpm 1.14.0

%global debug_package %{nil}

# https://codeberg.org/emersion/soju
%global goipath         codeberg.org/emersion/soju
%global forgeurl        https://codeberg.org/emersion/soju
Version:                0.8.2

%gometa -L -f

%global common_description %{expand:
soju is a user-friendly IRC bouncer. 
soju connects to upstream IRC servers on behalf of the user to provide extra functionality. 
soju supports many features such as multiple users, numerous IRCv3 extensions, 
chat history playback and detached channels. 
It is well-suited for both small and large deployments.
}

%global golicenses      LICENSE
%global godocs          doc README.md contrib/certbot.md contrib/clients.md\\\
                        contrib/tlstunnel.md

Name:           golang-codeberg-emersion-soju
Release:        %autorelease
Summary:        A user-friendly IRC bouncer
Provides:       soju = %{version}

License:        AGPL-3.0-only
URL:            %{gourl}
Source0:        https://codeberg.org/emersion/soju/archive/v%{version}.tar.gz
Source1:        soju.service
Source2:        soju.sysusers

BuildRequires: systemd-rpm-macros
BuildRequires: scdoc
BuildRequires: git

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1


%build
export GOPROXY="https://proxy.golang.org"
export GOSUMDB="sum.golang.org"
export GOFLAGS="-tags=moderncsqlite"
export DESTDIR="%{gobuilddir}"
export MANDIR="/"
export PREFIX="/"
make
make install

%install
install -m 0755 -vd %{buildroot}%{_bindir}
install -m 0755 -vd %{buildroot}%{_sysconfdir}/soju
install -m 0755 -vd %{buildroot}%{_mandir}/man1

install -m 0755 -vd %{buildroot}%{_unitdir}
install -m 0755 -vd %{buildroot}%{_sysusersdir}

install -m 0755 -vp %{gobuilddir}/bin/{soju,sojuctl,sojudb} %{buildroot}%{_bindir}/
install -m 0644 -vp %{gobuilddir}/man1/{soju,sojuctl}.1 %{buildroot}%{_mandir}/man1
install -m 0644 -vp %{gobuilddir}/etc/soju/config %{buildroot}%{_sysconfdir}/soju/config

install -m 0644 -vp %{SOURCE1} %{buildroot}%{_unitdir}
install -m 0644 -vp %{SOURCE2} %{buildroot}%{_sysusersdir}/soju.conf

%post
%sysusers_create_compat %{SOURCE2}
install -m 0750 -o soju -g soju -vd %{buildroot}%{_sharedstatedir}/soju

%files
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/soju/config
%{_bindir}/*
%{_mandir}/man1/*
%{_unitdir}/*
%{_sysusersdir}/soju.conf

%changelog
%autochangelog
